package com.viettel.campaign.model;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "CUSTOMER_LIST")
public class CustomerList implements Serializable {

    @Id
    @GeneratedValue(generator = "customer_list_seq")
    @SequenceGenerator(name = "customer_list_seq", sequenceName = "customer_list_seq", allocationSize = 1)
    @Basic(optional = false)
    @NotNull
    @Column(name = "CUSTOMER_LIST_ID")
    private Long customerListId;
    @Column(name = "COMPANY_SITE_ID")
    private Long customerSiteId;
    @Size(max = 200)
    @Column(name = "CUSTOMER_LIST_CODE")
    private String customerListCode;
    @Size(max = 500)
    @Column(name = "CUSTOMER_LIST_NAME")
    private String customerListName;
    @NotNull
    @Column(name = "STATUS")
    private Short status;
    @Size(max = 200)
    @Column(name = "CREATE_BY")
    private String createBy;
    @Column(name = "CREATE_AT")
    private Date createAt;
    @Size(max = 200)
    @Column(name = "UPDATE_BY")
    private String updateBy;
    @Column(name = "UPDATE_AT")
    private Date updateAt;
    @Size(max = 100)
    @Column(name = "SOURCE")
    private String source;
    @Size(max = 100)
    @Column(name = "DEPT_CREATE")
    private String deptCreate;

    public Long getCustomerListId() {
        return customerListId;
    }

    public void setCustomerListId(Long customerListId) {
        this.customerListId = customerListId;
    }

    public Long getCustomerSiteId() {
        return customerSiteId;
    }

    public void setCustomerSiteId(Long customerSiteId) {
        this.customerSiteId = customerSiteId;
    }

    public String getCustomerListCode() {
        return customerListCode;
    }

    public void setCustomerListCode(String customerListCode) {
        this.customerListCode = customerListCode;
    }

    public String getCustomerListName() {
        return customerListName;
    }

    public void setCustomerListName(String customerListName) {
        this.customerListName = customerListName;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateAt() {
        return createAt;
    }

    public void setCreateAt(Date createAt) {
        this.createAt = createAt;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(Date updateAt) {
        this.updateAt = updateAt;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getDeptCreate() {
        return deptCreate;
    }

    public void setDeptCreate(String deptCreate) {
        this.deptCreate = deptCreate;
    }
}
